=== debian/changelog ===
dose3 (7.0.0-6build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 09:46:42 +0200

dose3 (7.0.0-6build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:20:10 +0200

dose3 (7.0.0-6) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Samuel Thibault ]
  * Add a noextra build profile (Closes: #1099685)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Mar 2025 07:40:21 +0100

dose3 (7.0.0-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Add camlp-streams to debGrep dependencies

  [ Ralf Treinen ]
  * Update debian/watch, to follow recent gitlab change.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:33:35 +0200

dose3 (7.0.0-4) unstable; urgency=medium

  * Team upload
  * Fix tests with ocamlgraph 2.1.0 (Closes: #1051484)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Sep 2023 17:55:57 +0200

dose3 (7.0.0-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Use secure URI in Homepage field
  * Set upstream metadata fields
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:45:28 +0200

dose3 (7.0.0-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 06:48:32 +0200

dose3 (7.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 14 Feb 2022 11:47:12 +0100

dose3 (6.0.1-3) unstable; urgency=medium

  * Team upload
  * Fix compilation with ocamlgraph 2.0.0 (Closes: #1002498)
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Dec 2021 11:34:33 +0100
